# encoding: utf-8

module Flappy
  module IOSChecking
    def check_condition(variable, description)
      if variable.blank?
        log_iOS(description)
        exit 1
      end
    end


    def check_no_output_app(apps)
      if apps.length == 0
        log_iOS('Builded has no output app, Can not be packaged')
        exit 1
      end
    end

    def check_archived_ipa_is_exist
      unless File.exist?(@ipa_path)
        log_iOS('Archive failed')
        exit 1
      end
    end
  end
end


